package com.lightinit.hsdataplatform.entity;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.mongodb.core.mapping.Field;

import java.util.Date;
/**
 * Created by herbert on 2017/10/20.
 *
 * Field 为文档字段定义自定义元数据的注释
 */
@Document
public class MTLogInfo {
    @Id
    private Object _id;
    @Field("Date")
    private Date date;
    @Field("Level")
    private String level;
    @Field("Logger")
    private String logger;
    @Field("Message")
    private String message;
    @Field("ThreadID")
    private int threadID;
    @Field("ProcessID")
    private int processID;
    @Field("ProcessName")
    private String processName;
    @Field("UserName")
    private String userName;


    public Object get_id() {
        return _id;
    }

    public void set_id(Object _id) {
        this._id = _id;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getLogger() {
        return logger;
    }

    public void setLogger(String logger) {
        this.logger = logger;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public int getThreadID() {
        return threadID;
    }

    public void setThreadID(int threadID) {
        this.threadID = threadID;
    }

    public int getProcessID() {
        return processID;
    }

    public void setProcessID(int processID) {
        this.processID = processID;
    }

    public String getProcessName() {
        return processName;
    }

    public void setProcessName(String processName) {
        this.processName = processName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }
}
